Channels
Start the X (Twitter) publisher connection flow
POST
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= length- body
providerApplicationId?stringLength
1 <= length <= 128Response for status 200
application/json- response
provider*stringscopes*array<>authorizationUrl*stringLength
1 <= lengthcurl -X POST 'https://postbot.example/api/projects/string/channels/string/publisher/x/connect' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"provider": "x",
"scopes": [
"string"
],
"authorizationUrl": "string"
}